# Support< std::map< U, T > > Class Template Reference
[Miscellaneous constructs used by Vaucanson]

Support<map<U, T> > is a const adapter of std::map to container. More...

List of all members.

## Public Types

typedef std::map< U, T > ::value_type | value_type
| The type of the values.

## Public Member Functions

| Support (const Support &)
| support<map<U, T> > is a const adapter of std::map to container.
bool | empty () const
| Whether it's empty.

## Detailed Description

### template<class U, class T>
class vcsn::misc::Support< std::map< U, T > >

Support<map<U, T> > is a const adapter of std::map to container.

Definition at line 151 of file support.hh.